prng.h File Reference

Pseudo Random Numbers. More...

`#include <stdlib.h>`
Include dependency graph for prng.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | prng(Buf, Length)
| Fills `Buf` with `Length` bytes of random data. More...
#define | prng_init(Value)
| Called to set the PRNG seed. More...

## Functions

COAP_STATIC_INLINE int | coap_prng_impl (unsigned char *buf, size_t len)
| Fills `buf` with `len` random bytes. More...

## Detailed Description

Pseudo Random Numbers.

Definition in file prng.h.